Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class TrueTypeFont

    java.lang.Object
      org.pdfbox.ttf.TrueTypeFont

public class TrueTypeFont
extends Object

A class to hold true type font information.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Method Summary
`void` | `addTable(TTFTable table)` Add a table definition.
`void` | `close()` Close the underlying resources.
`CMAPTable` | `getCMAP()` Get the cmap table for this TTF.
`COSStream` | `getCOSStream()` This permit to get the COSStream of the True Type Font program representing the stream used to build this object (normally from the TTFParser object).
`GlyphTable` | `getGlyph()` Get the glyf table for this TTF.
`HeaderTable` | `getHeader()` Get the head table for this TTF.
`HorizontalHeaderTable` | `getHorizontalHeader()` Get the hhea table for this TTF.
`HorizontalMetricsTable` | `getHorizontalMetrics()` Get the hmtx table for this TTF.
`IndexToLocationTable` | `getIndexToLocation()` Get the loca table for this TTF.
`MaximumProfileTable` | `getMaximumProfile()` Get the maxp table for this TTF.
`NamingTable` | `getNaming()` This will get the naming table for the true type font.
`OS2WindowsMetricsTable` | `getOS2Windows()` Get the OS/2 table for this TTF.
`PostScriptTable` | `getPostScript()` Get the postscript table for this TTF.
`Collection` | `getTables()` Get all of the tables.
`float` | `getVersion()`
`void` | `setVersion(float versionValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws IOException

  Close the underlying resources.

  Throws:
    `IOException` - If there is an error closing the resources.

### getVersion

    public float getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(float versionValue)

  Parameters:
    `versionValue` - The version to set.

### addTable

    public void addTable(TTFTable table)

  Add a table definition.

  Parameters:
    `table` - The table to add.

### getTables

    public Collection getTables()

  Get all of the tables.

  Returns:
    All of the tables.

### getNaming

    public NamingTable getNaming()

  This will get the naming table for the true type font.

  Returns:
    The naming table.

### getPostScript

    public PostScriptTable getPostScript()

  Get the postscript table for this TTF.

  Returns:
    The postscript table.

### getOS2Windows

    public OS2WindowsMetricsTable getOS2Windows()

  Get the OS/2 table for this TTF.

  Returns:
    The OS/2 table.

### getMaximumProfile

    public MaximumProfileTable getMaximumProfile()

  Get the maxp table for this TTF.

  Returns:
    The maxp table.

### getHeader

    public HeaderTable getHeader()

  Get the head table for this TTF.

  Returns:
    The head table.

### getHorizontalHeader

    public HorizontalHeaderTable getHorizontalHeader()

  Get the hhea table for this TTF.

  Returns:
    The hhea table.

### getHorizontalMetrics

    public HorizontalMetricsTable getHorizontalMetrics()

  Get the hmtx table for this TTF.

  Returns:
    The hmtx table.

### getIndexToLocation

    public IndexToLocationTable getIndexToLocation()

  Get the loca table for this TTF.

  Returns:
    The loca table.

### getGlyph

    public GlyphTable getGlyph()

  Get the glyf table for this TTF.

  Returns:
    The glyf table.

### getCMAP

    public CMAPTable getCMAP()

  Get the cmap table for this TTF.

  Returns:
    The cmap table.

### getCOSStream

    public COSStream getCOSStream()

  This permit to get the COSStream of the True Type Font program representing the stream used to build this object (normally from the TTFParser object).

  Returns:
    COSStream True type font program stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD